
TYPO3.Flow - Bug # 30714

Status: Closed Priority: Should have
Author: Alexander Schnitzler Category: Error
Created: 2011-10-10 Assigned To:
Updated: 2013-01-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: \TYPO3\FLOW3\var_dump() memory use causes fatal error debugging objects.
Description

During some FLOW3 CRUD testing, I got an error several times I wanted to debug objects that have related objects.

Something like \TYPO3\FLOW3\var_dump(new SomeObject()) always worked, more complex object trees caused PHP run out of
memory.

In my example (see attached picture) I just created a "new"-form to create a new Message-Object that has a User-Object related as
the sender of the message. Yet the debugging of that simple thing failed.

Related issues:
duplicates TYPO3.Flow - Bug # 44278: High memory consumption of Debugger::ren... Resolved 2013-01-02

History
#1 - 2011-10-19 10:01 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2011-10-19 10:01 - Karsten Dambekalns
- Subject changed from \TYPO3\FLOW3\var_dump() causes fatal error debugging objects. to \TYPO3\FLOW3\var_dump() memory use causes fatal 
error debugging objects.
- Category set to Error
- Target version deleted (1230)

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#4 - 2013-01-21 17:12 - Karsten Dambekalns
- Status changed from New to Closed
- Has patch set to No

Duplicate of #44278
